#ifndef GunProfile_H
#define GunProfile_H

#include <Arduino.h>

class GunProfile {
  public:

    enum GunProfileType{
      PROFILE_TYPE_BOW_AIRSOFT,
      PROFILE_TYPE_CO2_PISTOL,
      PROFILE_TYPE_AIR_PISTOL,
      PROFILE_TYPE_AIR_GUN_UK,
      PROFILE_TYPE_AIR_GUN_FAC
    };

    // Constructor: Called when a GunProfile object is created
    GunProfile();
    GunProfile(String name, int type);
    String getName();
    int getPowerLevel();

  private:
    char _name[50];
    int _type;


};

#endif